''' Top-level package for Ordr2. '''

__author__ = 'Holger Frey'
__email__ = 'frey@imtek.de'
__version__ = '0.1.4'


from pyramid.config import Configurator
from pyramid.session import SignedCookieSessionFactory


def main(global_config, **settings):
    ''' This function returns a Pyramid WSGI application. '''
    config = Configurator(settings=settings)

    session_factory = SignedCookieSessionFactory(settings['session.secret'])
    config.set_session_factory(session_factory)
    config.set_default_csrf_options(require_csrf=settings['session.auto_csrf'])

    config.include('.resources')
    config.include('.models')
    config.include('.security')
    config.include('.views')
    config.include('pyramid_jinja2')

    config.scan()

    return config.make_wsgi_app()
